//==================================================================================
// Shaders for rommels_cache
//
// Mean Mr. Mustard 06/04/2004
// Seven_dc	07/28/2004
//==================================================================================

//====================================================================================
// terrain shaders
//====================================================================================

textures/rommels_cache/terrain_base
{
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_shadeangle 179
}


textures/rommels_cache/terrain_0
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		//rgbGen identity
	}
	{
      	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
   	} 
}

textures/rommels_cache/terrain_1
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/rock_edged_smooth.tga
		//rgbGen identity
	}
	{
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
   	} 
}

textures/rommels_cache/terrain_2
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_dirt_medium.tga
		//rgbGen identity
	}
	{
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
   	} 

}

textures/rommels_cache/terrain_3
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_gravels_bright.tga
		//rgbGen identity
	}
	{
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
   	} 
	//{
		//map textures/detail_sd/snowdetail.tga
	 	//blendFunc GL_DST_COLOR GL_SRC_COLOR
		//rgbgen identity
		//tcMod scale 5 5
		//detail
	//}
}

textures/rommels_cache/terrain_0to1
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbGen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
   	} 
}

textures/rommels_cache/terrain_0to2
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbGen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
   	} 
}

textures/rommels_cache/terrain_0to3
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbGen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
   	} 
}

textures/rommels_cache/terrain_1to2
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbGen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
   	} 
}

textures/rommels_cache/terrain_1to3
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbGen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
   	} 
}

textures/rommels_cache/terrain_2to3
{
	q3map_baseshader textures/rommels_cache/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbGen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
   	} 
}

textures/rommels_cache/rommels_sky_night
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_skylight 30 3
	q3map_sun 0.3 0.3 0.45 35 35 45
	nocompress
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}


	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}

textures/rommels_cache/rommels_sky
{
	qer_editorimage textures/skies_sd/nero_bluelight.tga
	q3map_lightimage textures/skies_sd/siwa_clouds.tga
	
	q3map_sunExt 1.0 0.8 0.6 80 10 50 2 16
	q3map_skylight 80 3
	
	sunshader textures/skies_sd/siwasunbright
	
	q3map_lightmapFilterRadius 0 32 
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	fogvars ( .3 .3 .38 ) .000065

	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	{
		fog off
		clampmap textures/skies_sd/siwa_mask.tga
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}

}


textures/rommel/exitdoors
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/common/hintskip
{
	qer_nocarve
	qer_trans 0.3
	surfaceparm hint
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
}

// Signs galor

textures/rommel/byzantine
{
	implicitMap -
}

textures/rommel/cistern_left
{
	implicitMap -
	surfaceparm woodsteps
      surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/cistern_right
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/eastgate_left
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/eastgate_right
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/westgate_left
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/westgate_right
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/levelshots/rommel_b1_cc
{
	implicitMap -
	surfaceparm woodsteps
}

textures/rommel/siwa
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/watten
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/dubrovnik
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/istanbul
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/generator_left
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

textures/rommel/generator_right
{
	implicitMap -
	surfaceparm woodsteps
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm trans
}

